Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.terracotta.quartz.wrappers
Class JobFacade

    java.lang.Object
      org.terracotta.quartz.wrappers.JobFacade

    public class JobFacade

extends Object

Constructor Summary
`JobFacade(ToolkitDSHolder toolkitDSHolder)`

Method Summary
`void` | `addBlockedJob(JobKey key)`
`boolean` | `addGroup(String name)`
`boolean` | `addPausedGroup(String name)`
`boolean` | `blockedJobsContain(JobKey jobKey)`
`void` | `clearPausedJobGroups()`
`boolean` | `containsKey(JobKey key)`
`JobWrapper` | `get(JobKey jobKey)`
`Set<String>` | `getAllGroupNames()`
`boolean` | `hasGroup(String name)`
`int` | `numberOfJobs()`
`boolean` | `pausedGroupsContain(String group)`
`void` | `put(JobKey jobKey, JobWrapper jobWrapper)`
`JobWrapper` | `remove(JobKey jobKey)`
`boolean` | `removeBlockedJob(JobKey key)`
`boolean` | `removeGroup(String group)`
`boolean` | `removePausedJobGroup(String group)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobFacade

    public JobFacade(ToolkitDSHolder toolkitDSHolder)

Method Detail

### get

    public JobWrapper get(JobKey jobKey)

### put

    public void put(JobKey jobKey,
                    JobWrapper jobWrapper)

### containsKey

    public boolean containsKey(JobKey key)

### hasGroup

    public boolean hasGroup(String name)

### addGroup

    public boolean addGroup(String name)

### addPausedGroup

    public boolean addPausedGroup(String name)

### remove

    public JobWrapper remove(JobKey jobKey)

### removeGroup

    public boolean removeGroup(String group)

### pausedGroupsContain

    public boolean pausedGroupsContain(String group)

### blockedJobsContain

    public boolean blockedJobsContain(JobKey jobKey)

### numberOfJobs

    public int numberOfJobs()

### getAllGroupNames

    public Set<String> getAllGroupNames()

### removePausedJobGroup

    public boolean removePausedJobGroup(String group)

### clearPausedJobGroups

    public void clearPausedJobGroups()

### addBlockedJob

    public void addBlockedJob(JobKey key)

### removeBlockedJob

    public boolean removeBlockedJob(JobKey key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.